package io.modules.item.service;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.common.service.CrudService;
import io.modules.item.dto.UserBehaviorDTO;
import io.modules.item.entity.UserBehaviorEntity;

import java.util.List;
import java.util.Map;

/**
 * 用户行为表
 *
 * @author Mark #
 * @since 1.0.0 2024-12-16
 */
public interface UserBehaviorService extends CrudService<UserBehaviorEntity, UserBehaviorDTO> {


    Boolean isExists( UserBehaviorDTO dto);
    void  deleteUserBehavior(UserBehaviorDTO dto);

    public List<Long> getTopItems();


    /**
     * 查询是否收藏
     * @param itemId
     * @param type
     * @return
     */
    Boolean getIsFavorite(Long itemId,Integer type);


}
